clear all
use hrs_data_final

*setup:
*hhipdn is the person identifier, wa is the sruvey wave
xtset hhidpn wa

*labor force variables:
gen working=.
replace working=1 if rlbrf==1 | rlbrf==2 | rlbrf==4 
replace working=0 if rlbrf==3 | rlbrf==5 | rlbrf==6 | rlbrf==7

gen ft=.
replace ft=1 if rlbrf==1
replace ft=0 if rlbrf==2 | rlbrf==3 | rlbrf==4 | rlbrf==5 | rlbrf==6 | rlbrf==7

gen pt=.
replace pt=1 if rlbrf==2 | rlbrf==4
replace pt=0 if rlbrf==1 | rlbrf==3 | rlbrf==5 | rlbrf==6 | rlbrf==7

gen retired=.
replace retired=1 if rlbrf==4 | rlbrf==5
replace retired=0 if rlbrf==1 | rlbrf==2 | rlbrf==3 | rlbrf==7

*define the treatment variables
gen post2006=0
replace post2006=1 if intyear>=2006
replace post2006=. if intyear==.

gen over65=0
replace over65=1 if rage>=65
replace over65=. if rage==.

gen treated=post2006*over65

*defining those with retiree employer coverage only to age 65 and those with coverage also after age 65:
gen emphipost65=.
replace emphipost65=1 if rheret==3
replace emphipost65=0 if rheret==1
replace emphipost65=rheret if rheret==.a | rheret==.h | rheret==.m | rheret==.s

*using only lagged values:
replace emphipost65=l.emphipost65 if rage==65
replace emphipost65=l.emphipost65 if rage==66
replace emphipost65=l2.emphipost65 if rage==67
replace emphipost65=l2.emphipost65 if rage==68
replace emphipost65=l3.emphipost65 if rage==69
replace emphipost65=l3.emphipost65 if rage==70
replace emphipost65=l4.emphipost65 if rage==71
replace emphipost65=l4.emphipost65 if rage==72
replace emphipost65=l5.emphipost65 if rage==73
replace emphipost65=l5.emphipost65 if rage==74
replace emphipost65=l6.emphipost65 if rage==75

*using also leading values:
*do not run this section for creating Appendix Table 6:
replace emphipost65=1 if rage>64 & rheret==3
replace emphipost65=0 if rage>64 & rheret==1

replace emphipost65=1 if (emphipost65==.a | emphipost65==.h | emphipost65==.m | emphipost65==.s | emphipost65==.) & rage>64 & retired==1 & rcovr==1
replace emphipost65=0 if (emphipost65==.a | emphipost65==.h | emphipost65==.m | emphipost65==.s | emphipost65==.) & rage>64 & retired==1 & rcovr==0 & (l.rheret==1 | l.rheret==2 | l.rheret==3 | l2.rheret==1 | l2.rheret==2 | l2.rheret==3 | l3.rheret==1 | l3.rheret==2 | l3.rheret==3 | l4.rheret==1 | l4.rheret==2 | l4.rheret==3 | l5.rheret==1 | l5.rheret==2 | l5.rheret==3 | l6.rheret==1 | l6.rheret==2 | l6.rheret==3)

replace emphipost65=1 if (emphipost65==.a | emphipost65==.h | emphipost65==.m | emphipost65==.s | emphipost65==.) & rage>64 & retired==0 & f.retired==1 & f.rcovr==1
replace emphipost65=0 if (emphipost65==.a | emphipost65==.h | emphipost65==.m | emphipost65==.s | emphipost65==.) & rage>64 & retired==0 & f.retired==1 & f.rcovr==0 & (l.rheret==1 | l.rheret==2 | l.rheret==3 | l2.rheret==1 | l2.rheret==2 | l2.rheret==3 | l3.rheret==1 | l3.rheret==2 | l3.rheret==3 | l4.rheret==1 | l4.rheret==2 | l4.rheret==3 | l5.rheret==1 | l5.rheret==2 | l5.rheret==3 | l6.rheret==1 | l6.rheret==2 | l6.rheret==3)

replace emphipost65=1 if (emphipost65==.a | emphipost65==.h | emphipost65==.m | emphipost65==.s | emphipost65==.) & rage>64 & retired==0 & f.retired==0 & f2.retired==1 & f2.rcovr==1
replace emphipost65=0 if (emphipost65==.a | emphipost65==.h | emphipost65==.m | emphipost65==.s | emphipost65==.) & rage>64 & retired==0 & f.retired==0 & f2.retired==1 & f2.rcovr==0 & (l.rheret==1 | l.rheret==2 | l.rheret==3 | l2.rheret==1 | l2.rheret==2 | l2.rheret==3 | l3.rheret==1 | l3.rheret==2 | l3.rheret==3 | l4.rheret==1 | l4.rheret==2 | l4.rheret==3 | l5.rheret==1 | l5.rheret==2 | l5.rheret==3 | l6.rheret==1 | l6.rheret==2 | l6.rheret==3)

replace emphipost65=1 if (emphipost65==.a | emphipost65==.h | emphipost65==.m | emphipost65==.s | emphipost65==.) & rage>64 & retired==0 & f.retired==0 & f2.retired==0 & f3.retired==1 & f3.rcovr==1
replace emphipost65=0 if (emphipost65==.a | emphipost65==.h | emphipost65==.m | emphipost65==.s | emphipost65==.) & rage>64 & retired==0 & f.retired==0 & f2.retired==0 & f3.retired==1 & f3.rcovr==0 & (l.rheret==1 | l.rheret==2 | l.rheret==3 | l2.rheret==1 | l2.rheret==2 | l2.rheret==3 | l3.rheret==1 | l3.rheret==2 | l3.rheret==3 | l4.rheret==1 | l4.rheret==2 | l4.rheret==3 | l5.rheret==1 | l5.rheret==2 | l5.rheret==3 | l6.rheret==1 | l6.rheret==2 | l6.rheret==3)

replace emphipost65=1 if (emphipost65==.a | emphipost65==.h | emphipost65==.m | emphipost65==.s | emphipost65==.) & rage>64 & retired==0 & f.retired==0 & f2.retired==0 & f3.retired==0 & f4.retired==1 & f4.rcovr==1
replace emphipost65=0 if (emphipost65==.a | emphipost65==.h | emphipost65==.m | emphipost65==.s | emphipost65==.) & rage>64 & retired==0 & f.retired==0 & f2.retired==0 & f3.retired==0 & f4.retired==1 & f4.rcovr==0 & (l.rheret==1 | l.rheret==2 | l.rheret==3 | l2.rheret==1 | l2.rheret==2 | l2.rheret==3 | l3.rheret==1 | l3.rheret==2 | l3.rheret==3 | l4.rheret==1 | l4.rheret==2 | l4.rheret==3 | l5.rheret==1 | l5.rheret==2 | l5.rheret==3 | l6.rheret==1 | l6.rheret==2 | l6.rheret==3)

replace emphipost65=1 if (emphipost65==.a | emphipost65==.h | emphipost65==.m | emphipost65==.s | emphipost65==.) & rage>64 & retired==0 & f.retired==0 & f2.retired==0 & f3.retired==0 & f4.retired==0 & f5.retired==1 & f5.rcovr==1
replace emphipost65=0 if (emphipost65==.a | emphipost65==.h | emphipost65==.m | emphipost65==.s | emphipost65==.) & rage>64 & retired==0 & f.retired==0 & f2.retired==0 & f3.retired==0 & f4.retired==0 & f5.retired==1 & f5.rcovr==0 & (l.rheret==1 | l.rheret==2 | l.rheret==3 | l2.rheret==1 | l2.rheret==2 | l2.rheret==3 | l3.rheret==1 | l3.rheret==2 | l3.rheret==3 | l4.rheret==1 | l4.rheret==2 | l4.rheret==3 | l5.rheret==1 | l5.rheret==2 | l5.rheret==3 | l6.rheret==1 | l6.rheret==2 | l6.rheret==3)

*resume from here when creating Appendix Table 6:

gen empuninspost65=1-emphipost65
gen treatedunins=treated*empuninspost65

gen post65unins=over65*empuninspost65
gen post2006unins=post2006*empuninspost65

*define medicare part d as any public insurance (as in engelhardt and gruber 2011):
gen mdcrpd1=.
replace mdcrpd1=1 if mdcrpd<4
replace mdcrpd1=0 if mdcrpd==5
replace mdcrpd1=0 if intyear<2006
replace mdcrpd1=0 if rgovmr==0

replace mdcrpd1=1 if rgovmd==1
replace mdcrpd1=1 if govhmo==1 & mdcrpd1==.

gen covrx1=1 if covrx<=4
replace covrx1=0 if covrx>=4
replace covrx1=. if covrx>5

replace covrx1=1 if covrx_post_mdcrpd<5 & wa==8
replace covrx1=0 if covrx_post_mdcrpd==5 & wa==8
replace covrx1=. if covrx_post_mdcrpd>=7 & covrx_post_mdcrpd~=. & wa==8

replace covrx1=1 if expcov<4 & rdrugs~=1
replace covrx1=0 if expcov==5 & rdrugs~=1
replace covrx1=. if (expcov==8 | expcov==9) & rdrugs~=1
replace covrx1=1 if mdcrpd1==1
replace covrx1=. if mdcrpd1==.

*define private drug coverage
gen pcovrx=covrx1
replace pcovrx=0 if mdcrpd1==1
replace pcovrx=. if mdcrpd1==.

*define other variables:
*self-reported health:
gen rhltexcellent=0
replace rhltexcellent=1 if rshlt==1
replace rhltexcellent=. if rshlt==. | rshlt==.d | rshlt==.m | rshlt==.r

gen rhltverygood=0
replace rhltverygood=1 if rshlt==2
replace rhltverygood=. if rshlt==. | rshlt==.d | rshlt==.m | rshlt==.r

gen rhltgood=0
replace rhltgood=1 if rshlt==3
replace rhltgood=. if rshlt==. | rshlt==.d | rshlt==.m | rshlt==.r

gen rhltfair=0
replace rhltfair=1 if rshlt==4
replace rhltfair=. if rshlt==. | rshlt==.d | rshlt==.m | rshlt==.r

gen rhltpoor=0
replace rhltpoor=1 if rshlt==5
replace rhltpoor=. if rshlt==. | rshlt==.d | rshlt==.m | rshlt==.r

*age dummies
quietly tabulate rage, generate(raged)

*single
gen rsingle=0
replace rsingle=1 if rmstat==4 | rmstat==5 | rmstat==6 | rmstat==7 | rmstat==8
replace rsingle=. if rmstat==. | rmstat==.m 

*census division dummies
quietly tabulate rcendiv, generate(rcendivd)

*religion
tab rarelig, g(rareligd)

*race
tab raracem, g(raracemd)

*out of pocket drug spending
replace ooprx=0 if covrx==1
replace ooprx=0 if covrx==6
replace ooprx=0 if rdrug==0
replace ooprx=ooprx_post_mdcrpd if wa==8 & ooprx>=99998

*inflating monetary values by cpi to 2010 dollars
replace ooprx=1.34*ooprx if intyear==1998
replace ooprx=1.27*ooprx if intyear==2000
replace ooprx=1.21*ooprx if intyear==2002
replace ooprx=1.15*ooprx if intyear==2004
replace ooprx=1.08*ooprx if intyear==2006
replace ooprx=1.01*ooprx if intyear==2008

*hatotn is non-housing household wealth
replace hatotn=1.34*hatotn if intyear==1998
replace hatotn=1.27*hatotn if intyear==2000
replace hatotn=1.21*hatotn if intyear==2002
replace hatotn=1.15*hatotn if intyear==2004
replace hatotn=1.08*hatotn if intyear==2006
replace hatotn=1.01*hatotn if intyear==2008

*hitot is household total income
replace hitot=1.34*hitot if intyear==1998
replace hitot=1.27*hitot if intyear==2000
replace hitot=1.21*hitot if intyear==2002
replace hitot=1.15*hitot if intyear==2004
replace hitot=1.08*hitot if intyear==2006
replace hitot=1.01*hitot if intyear==2008

replace riearn=1.34*riearn if intyear==1998
replace riearn=1.27*riearn if intyear==2000
replace riearn=1.21*riearn if intyear==2002
replace riearn=1.15*riearn if intyear==2004
replace riearn=1.08*riearn if intyear==2006
replace riearn=1.01*riearn if intyear==2008

*changing earnings to be measured in 10k's
replace hatotn=hatotn/10000
replace hitot=hitot/10000
replace riearn=riearn/10000

*higher order polynomials of wealth and earnings
gen hatotn2=hatotn^2
gen hatotn3=hatotn^3
gen hatotn4=hatotn^4
gen hatotn5=hatotn^5

gen hitot2=hitot^2
gen hitot3=hitot^3
gen hitot4=hitot^4
gen hitot5=hitot^5

*dummy for high oop spending as the dependent variable (90th percentile of oop spending in 2004 is 345):
gen hioop=.
replace hioop=1 if ooprx>345
replace hioop=0 if ooprx<=345
replace hioop=. if ooprx>=99998

*drop if missing health conditions, define sick group
drop if (rheart~=1 & rheart~=0) | (rcancr~=1 & rcancr~=0) | (rstrok~=1 & rstrok~=0) | (rarthr~=1 & rarthr~=0) | (rpsych~=1 & rpsych~=0) | (rlung~=1 & rlung~=0)
gen sick=0
replace sick=1 if rheart==1 | rcancr==1 | rstrok==1 | rarthr==1 | rpsych==1 | rlung==1

*generate new age groups poolings consecutive years for appendix figure of effect by year:
gen nage=.
replace nage=55.5 if rage==55 | rage==56
replace nage=57.5 if rage==57 | rage==58
replace nage=59.5 if rage==59 | rage==60
replace nage=61.5 if rage==61 | rage==62
replace nage=63.5 if rage==63 | rage==64
replace nage=65.5 if rage==65 | rage==66
replace nage=67.5 if rage==67 | rage==68
replace nage=69.5 if rage==69 | rage==70
replace nage=71.5 if rage==71 | rage==72
replace nage=73.5 if rage==73 | rage==74
replace nage=75.5 if rage==75 | rage==76

************Figures**************
*Figure 1
*left panel:
binscatter ft rage if (empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), discrete by(post2006) rd(64.5) line(none) play(Figure_1_left) saving(Figure_1_left, replace)
*right panel:
binscatter ft rage if (empuninspost65==0 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), discrete by(post2006) rd(64.5) line(none) play(Figure_1_right) saving(Figure_1_right, replace)

sum ft if (empuninspost65==1 & wa>4 & rage>=55 & rage<=64 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear<2006)
sum ft if (empuninspost65==1 & wa>4 & rage>=55 & rage<=64 & intyear>2005 & intyear~=2007 & intyear~=2009 & intyear~=2011)

*middle panel:
gen ft_adj=ft
replace ft_adj=ft-.13294 if intyear>=2006

binscatter ft_adj rage if (empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), discrete by(post2006) rd(64.5) line(none) play(Figure_1_center) saving(Figure_1_center, replace)

*Figure 2: just plot the coefficients on the third-order interaction, and their confidence intervals
xi: reg ft empuninspost65##wa##over65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)

*Figure 3
binscatter ft rage if (sick==0 & empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), discrete by(post2006) rd(64.5) line(none) title(Healthy) play(Figure_3_left) saving(Figure_3_left, replace)
binscatter ft rage if (sick==1 & empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), discrete by(post2006) rd(64.5) line(none) title(Sick) play(Figure_3_right) saving(Figure_3_right, replace)

*Appendix figure 4:
histogram rjcocc if empuninspost65==1 & intyear==2004, discrete percent xlabel(#17, labels labcolor(black) angle(forty_five) valuelabel)
histogram rjcocc if empuninspost65==1 & intyear==2006, discrete percent xlabel(#17, labels labcolor(black) angle(forty_five) valuelabel)
histogram rjcocc if empuninspost65==0 & intyear==2004, discrete percent xlabel(#17, labels labcolor(black) angle(forty_five) valuelabel)
histogram rjcocc if empuninspost65==0 & intyear==2006, discrete percent xlabel(#17, labels labcolor(black) angle(forty_five) valuelabel)

*Appendix figure 5:
histogram rjcind if empuninspost65==1 & intyear==2004, discrete percent xlabel(#13, labels labcolor(black) angle(forty_five) valuelabel)
histogram rjcind if empuninspost65==1 & intyear==2006, discrete percent xlabel(#13, labels labcolor(black) angle(forty_five) valuelabel)
histogram rjcind if empuninspost65==0 & intyear==2004, discrete percent xlabel(#13, labels labcolor(black) angle(forty_five) valuelabel)
histogram rjcind if empuninspost65==0 & intyear==2006, discrete percent xlabel(#13, labels labcolor(black) angle(forty_five) valuelabel)

*Appendix figure 6: Generate indicators for treatment group, main control group, and alternative control group. 1 is treatment group, 0 is first control group, 2 is second control group:
gen insstat=empuninspost65
replace insstat=2 if rheret==.n & (empuninspost65~=0 & empuninspost65~=1)

binscatter ft rage if ((insstat==2 | insstat==1) & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear<2005), rd(64.5) by(insstat) discrete saving(pre_2006_no_esi) title(pre-2006)
binscatter ft rage if ((insstat==2 | insstat==1) & wa>4 & rage>=55 & rage<=68 & intyear>2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), rd(64.5) by(insstat) discrete saving(post_2006_no_esi) title(post-2006)

*Appendix Figure 7:
*left panel:
binscatter ft rage if (post2006==0 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), discrete by(empuninspost65) rd(64.5) line(none)
*right panel:
binscatter ft rage if (post2006==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), discrete by(empuninspost65) rd(64.5) line(none)

*Appendix Figure 8:
binscatter ft nage if ((empuninspost65==1 | empuninspost65==0) & wa>4 & rage>=55 & rage<=68 & intyear==2000), discrete by(empuninspost65) rd(64.5) saving(2000p, replace) title(2000) line(none)
binscatter ft nage if ((empuninspost65==1 | empuninspost65==0) & wa>4 & rage>=55 & rage<=68 & intyear==2002), discrete by(empuninspost65) rd(64.5) saving(2002p, replace) title(2002) line(none)
binscatter ft nage if ((empuninspost65==1 | empuninspost65==0) & wa>4 & rage>=55 & rage<=68 & intyear==2004), discrete by(empuninspost65) rd(64.5) saving(2004p, replace) title(2004) line(none)
binscatter ft nage if ((empuninspost65==1 | empuninspost65==0) & wa>4 & rage>=55 & rage<=68 & intyear==2006), discrete by(empuninspost65) rd(64.5) saving(2006p, replace) title(2006) line(none)
binscatter ft nage if ((empuninspost65==1 | empuninspost65==0) & wa>4 & rage>=55 & rage<=68 & intyear==2008), discrete by(empuninspost65) rd(64.5) saving(2008p, replace) title(2008) line(none)
binscatter ft nage if ((empuninspost65==1 | empuninspost65==0) & wa>4 & rage>=55 & rage<=68 & intyear==2010), discrete by(empuninspost65) rd(64.5) saving(2010p, replace) title(2010) line(none)

gr combine 2000p.gph 2002p.gph 2004p.gph 2006p.gph 2008p.gph 2010p.gph, ycommon xcommon rows(2)


**********************************************************************************

*Table 1, column 1:
xi: reg ft treatedunins treated post65unins post2006unins post2006 over65 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)
gen sample=1 if e(sample)==1

*Table 1, column 2:
xi: xtreg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*Table 1, columns 3-6:
xi: reg pt treatedunins treated post65unins post2006unins post2006 over65 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)
xi: xtreg pt treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: reg working treatedunins treated post65unins post2006unins post2006 over65 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)
xi: xtreg working treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*job switches:
*Table 2, columns 1-4:
gen js=0
by hhidpn: replace js=1 if rjcten<2 & l.rjcten>2 & l.rjcten~=.w

xi: xtreg js treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: xtreg js treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

gen ptjs=pt*js
xi: xtreg ptjs treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: xtreg ptjs treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*Table 4 (before Table 3, to avoid "losing" the observations omitted in that analysis due to too-high hours of work):
*Columns 1-6
xi: xtreg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (sick==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: xtreg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (sick==0 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: xtreg pt treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (sick==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: xtreg pt treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (sick==0 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: xtreg working treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (sick==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: xtreg working treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (sick==0 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*Table 3, earnings and wages
replace rjhours=0 if rjhours==.w
replace rjhour2=0 if rjhour2==.w

*drop unreasonably high hours:
drop if rjhours>70
drop if rjhour2>70
gen hours=rjhours+rjhour2

*top-coding earnings:
replace riearn=10 if riearn>10 & riearn~=.
replace riearn=riearn*10000
replace hatotn=hatotn*10000

*Table 3, columns 1-2:
xi: reg riearn treatedunins treated post65unins post2006unins post2006 over65 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)
xi: xtreg riearn treatedunins treated post65unins post2006unins post2006 over65 rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*wage changes:
gen w=riearn/(hours*52)

*Table 3, columns 3-4:
xi: reg w treatedunins treated post65unins post2006unins post2006 over65 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (w>0 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)
xi: xtreg w treatedunins treated post65unins post2006unins post2006 over65 rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (w>0 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*Appendix Table 5:
*rerun setup because of previous changes to sample due to dropping high hours
*Generate indicators for treatment group, main control group, and alternative control group. 1 is treatment group, 0 is first control group, 2 is second control group
gen insstat=empuninspost65
replace insstat=2 if rheret==.n & (empuninspost65~=0 & empuninspost65~=1)

sum rfemale raedyrs hatotn covrx1 mdcrpd1 ft pt riearn if insstat==1 & wa>4 & rage>=55 & rage<=64 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear<2006
sum rage if insstat==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear<2006
sum ooprx if insstat==1 & ooprx<99998 & wa>4 & rage>=55 & rage<=64 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear<2006

sum rfemale raedyrs hatotn covrx1 mdcrpd1 ft pt riearn if insstat==0 & wa>4 & rage>=55 & rage<=64 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear<2006
sum rage if insstat==0 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear<2006
sum ooprx if insstat==0 & ooprx<99998 & wa>4 & rage>=55 & rage<=64 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear<2006

sum rfemale raedyrs hatotn covrx1 mdcrpd1 ft pt riearn if insstat==2 & wa>4 & rage>=55 & rage<=64 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear<2006
sum rage if insstat==2 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear<2006
sum ooprx if insstat==2 & ooprx<99998 & wa>4 & rage>=55 & rage<=64 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear<2006

*Appendix Table 6 (for this section run from the begining excluding the marked section), columns 1-3:
xi: xtreg ft treated post2006 over65 rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: reg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 rfemale i.raracem i.raedyrs i.rarelig ravetrn  if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)
xi: xtreg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*columns 5-7:
xi: xtreg pt treated post2006 over65 rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: reg pt treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 rfemale i.raracem i.raedyrs i.rarelig ravetrn  if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)
xi: xtreg pt treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*For columns 4 and 8 define treatment and control groups based on (strictly) pre-2004 status (for this section, as for the rest of Appendix Table 6, also define treatment groups initially only based on pre-age 65 status, so as not to contaminate the pre-2004 values with post 2004 initial assignments):
replace empuninspost65=l.empuninspost65 if wa==7 & missing(empuninspost65)~=1
replace empuninspost65=l2.empuninspost65 if wa==8 & missing(empuninspost65)~=1
replace empuninspost65=l3.empuninspost65 if wa==9 & missing(empuninspost65)~=1
replace empuninspost65=l4.empuninspost65 if wa==10 & missing(empuninspost65)~=1

replace treatedunins=treated*empuninspost65

replace post65unins=over65*empuninspost65
replace post2006unins=post2006*empuninspost65

xi: xtreg ft treatedunins treated rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: xtreg pt treatedunins treated rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*Appendix Table 7:
replace rjhours=0 if rjhours==.w
replace rjshours=0 if rjshours==.w

*drop unreasonably high hours:
drop if rjhours>70
drop if rjshours>70

gen hours=rjhours+rjshours
gen full=0
replace full=1 if hours>35
replace full=. if hours==.

xi: xtreg hours treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: xtreg hours treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (hours>0 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: xtreg full treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*Appendix Table 8, (1 is treatment group, 0 is first control group, 2 is second control group):
*rerun setup because of previous changes to sample due to dropping high hours
gen insstat=empuninspost65
replace insstat=2 if rheret==.n & (empuninspost65~=0 & empuninspost65~=1)

gen insstat1=insstat
replace insstat1=. if insstat==0
replace insstat1=0 if insstat==2

gen treatedinsstat1=treated*insstat1

gen post65insstat1=over65*insstat1
gen post2006insstat1=post2006*insstat1

xi: xtreg ft treatedinsstat1 treated post65insstat1 post2006insstat1 post2006 over65 insstat1 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.insstat1 i.rage*i.insstat1 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: xtreg pt treatedinsstat1 treated post65insstat1 post2006insstat1 post2006 over65 insstat1 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.insstat1 i.rage*i.insstat1 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*Appendix table 9:
xi: reg ft treated post2006 over65 raged* i.wa if (empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)

xi: xtreg ft treated post2006 over65 raged* i.wa rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr if (empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: reg pt treated post2006 over65 raged* i.wa if (empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)

xi: xtreg pt treated post2006 over65 raged* i.wa rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr if (empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: reg working treated post2006 over65 raged* i.wa if (empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)

xi: xtreg working treated post2006 over65 raged* i.wa rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr if (empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*Appendix Table 10:
xi: reg ft post2006unins i.wa*i.empuninspost65 if (wa>4 & rage>=65 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)

xi: reg ft post2006unins rfemale i.raracem i.raedyrs i.rarelig ravetrn rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage if (wa>4 & rage>=65 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)

xi: reg pt post2006unins i.wa*i.empuninspost65 if (wa>4 & rage>=65 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)

xi: reg pt post2006unins rfemale i.raracem i.raedyrs i.rarelig ravetrn rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage if (wa>4 & rage>=65 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)

*Appendix Table 11
*To generate this table run the following, however note that this drops some observations, of those not working full-time at first observation.  Therefore, in order to run subsequent sections, rerun the steup section of this file.
*generate a failure as not being in full-time work, nft:
gen nft=1-ft
stset wa, id(hhidpn) failure(nft)

sort hhidpn wa
by hhidpn: drop if nft[1]==1

*Columns 1-2:
xi: stcox treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)

xi: stcox treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rfemale i.raracem i.raedyrs i.rarelig ravetrn if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn) tvc(rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr)

*For columns 3-4, a different sample is used, because individuals initially observed not working at all are dropped.  Therefore, rerun the setup section of this file, DO NOT rerun the previous section for columns 1-2, and then run this section for columns 3-4:
*start from the begining, don't run the previous section, and run this instead for full retirement as the failure:
*generate a failure as not being in any work, ret:
gen ret=1-working
stset wa, id(hhidpn) failure(ret)

sort hhidpn wa
by hhidpn: drop if ret[1]==1

xi: stcox treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)

xi: stcox treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rfemale i.raracem i.raedyrs i.rarelig ravetrn if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn) tvc(rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr)

*Appendix Table 12:
xi: xtreg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 i.wa*rfemale i.wa*i.raracem i.wa*i.raedyrs i.wa*i.rarelig i.wa*ravetrn if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: xtreg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 i.wa*rfemale i.wa*i.raracem i.wa*i.raedyrs i.wa*i.rarelig i.wa*ravetrn i.rage*rfemale i.rage*i.raracem i.rage*i.raedyrs i.rage*i.rarelig i.rage*ravetrn if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: xtreg pt treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 i.wa*rfemale i.wa*i.raracem i.wa*i.raedyrs i.wa*i.rarelig i.wa*ravetrn if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: xtreg pt treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 i.wa*rfemale i.wa*i.raracem i.wa*i.raedyrs i.wa*i.rarelig i.wa*ravetrn i.rage*rfemale i.rage*i.raracem i.rage*i.raedyrs i.rage*i.rarelig i.rage*ravetrn if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*Appendix Table 13:
xi: areg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), a(hhidpn) cluster(hhhid)
xi: areg pt treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), a(hhidpn) cluster(hhhid)
xi: areg work treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), a(hhidpn) cluster(hhhid)

*Appendix Table 14:
xi: xtreg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=62 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: xtreg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & rage~=63 & rage~=64 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: xtreg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (rgovva~=1 & sgovva~=1 & rgovmd~=1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: reg d.ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)

xi: reg d.ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), cluster(hhidpn)

*Appendix Table 15:
xi: reg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011 & rdrugs==1), cluster(hhidpn)
xi: reg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011 & rdrugs==0), cluster(hhidpn)

*Appendix Table 16 (for columns 1-2 use ACS_Replication.do)
*Columns 3-4
xi: xtreg ft treated post2006 over65 raged* i.wa rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: xtreg work treated post2006 over65 raged* i.wa rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*Appendix Table 17:
*falsification test: assume treatment is at age 60:
gen over60=0
replace over60=1 if rage>=60
replace over60=. if rage==.

gen treatedfalse=post2006*over60

gen treateduninsfalse=treatedfalse*empuninspost65

gen post60unins=over60*empuninspost65

xi: xtreg ft treateduninsfalse treatedfalse post60unins post2006unins post2006 over60 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=64 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: xtreg pt treateduninsfalse treatedfalse post60unins post2006unins post2006 over60 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=64 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*falsification test: assume treatment is at age 62:
gen over62=0
replace over62=1 if rage>=62
replace over62=. if rage==.

gen treatedfalse1=post2006*over62

gen treateduninsfalse1=treatedfalse1*empuninspost65

gen post62unins=over62*empuninspost65

xi: xtreg ft treateduninsfalse1 treatedfalse1 post62unins post2006unins post2006 over62 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=64 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: xtreg pt treateduninsfalse1 treatedfalse1 post62unins post2006unins post2006 over62 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=64 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

*Appendix Table 18:
xi: xtreg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 i.wa*i.rcendiv i.rage*i.rcendiv i.empuninspost65*i.rcendiv if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)
xi: xtreg pt treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 i.wa*i.rcendiv i.rage*i.rcendiv i.empuninspost65*i.rcendiv if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

xi: xtreg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear<2008), fe cluster(hhidpn)
xi: xtreg pt treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear<2008), fe cluster(hhidpn)

xi: xtreg ft treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011 & intyear~=2008), fe cluster(hhidpn)
xi: xtreg pt treatedunins treated post65unins post2006unins post2006 over65 empuninspost65 raged* rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr i.wa*i.empuninspost65 i.rage*i.empuninspost65 if (wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011 & intyear~=2008), fe cluster(hhidpn)

*Appendix Table 19:
xi: xtreg covrx1 treated post2006 over65 raged* i.wa rsingle rcendivd* hatotn hatotn2 hatotn3 hatotn4 hatotn5 rhltexcellent rhltverygood rhltgood rhltfair rhltpoor rbmi rcancr rlung rheart rstrok rpsych rarthr if (empuninspost65==1 & wa>4 & rage>=55 & rage<=68 & intyear~=2001 & intyear~=2003 & intyear~=2005 & intyear~=2007 & intyear~=2009 & intyear~=2011), fe cluster(hhidpn)

















